1. Payments
geowallet
  • Overview
  • Authentication
  • APIs
    • Ledger Balance
      • Get Balance of all ledgers
      • Get Balance for a single currency
    • Funding
      • Get deposit instruments
    • Payers
      • Create original payer
    • Beneficiaries
      • Create beneficiary
    • Quotes
      • Get FX quotation
    • Payments
      • Confirm quote and create payment
        POST
      • Payment result inquiry
        GET
    • Files
      • Create file upload session
      • Get file processing status
      • Upload file binary to pre-signed URL
  • Payment Status Webhook
  • About Us
  • Schemas
    • ErrorResponse
    • DepositInstrumentsResponse
    • DepositInstruction
    • FiatBankAccount
    • CreatePayerRequest
    • PayerInfo
    • IdentityInfo
    • Address
    • CompanyInfo
    • Director
    • UBO
    • DocumentReference
    • CreatePayerResponse
    • CreateBeneficiaryRequest
    • BeneficiaryInfo
    • BeneficiaryBankAccount
    • IntermediaryBank
    • OriginatorInfo
    • LocalClearing
    • CreateBeneficiaryResponse
    • QuoteRequest
    • QuoteResponse
    • PaymentRequest
    • PaymentInstruction
    • Amount
    • Compliance
    • Metadata
    • PaymentResponse
    • FileUploadSessionRequest
    • FileUploadSessionResponse
    • FileStatusResponse
  1. Payments

Confirm quote and create payment

POST
/api/v1/payments

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Example
{
    "requestId": "REQ202605070001",
    "merchantRef": "PAY202605070001",
    "payer": {
        "originalPayerId": "op_100001"
    },
    "beneficiary": {
        "beneficiaryId": "bf_100001"
    },
    "paymentInstruction": {
        "paymentMethodPreference": "SWIFT",
        "paymentReason": "SALARY",
        "purposeCode": "P001",
        "paymentReference": "Payroll May 2026",
        "urgency": "STANDARD"
    },
    "amount": {
        "debitCurrency": "SGD",
        "debitAmount": 1000,
        "payoutCurrency": "USD",
        "payoutAmount": 735.2
    },
    "fx": {
        "quoteId": "qt_100001"
    },
    "compliance": {
        "sourceOfFund": "BUSINESS_REVENUE",
        "supportingDocuments": [
            "file_001",
            "file_002"
        ]
    },
    "metadata": {
        "remark": "Payroll processing"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://prod-cn.your-api-server.com/api/v1/payments' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "requestId": "REQ202605070001",
    "merchantRef": "PAY202605070001",
    "payer": {
        "originalPayerId": "op_100001"
    },
    "beneficiary": {
        "beneficiaryId": "bf_100001"
    },
    "paymentInstruction": {
        "paymentMethodPreference": "SWIFT",
        "paymentReason": "SALARY",
        "purposeCode": "P001",
        "paymentReference": "Payroll May 2026",
        "urgency": "STANDARD"
    },
    "amount": {
        "debitCurrency": "SGD",
        "debitAmount": 1000,
        "payoutCurrency": "USD",
        "payoutAmount": 735.2
    },
    "fx": {
        "quoteId": "qt_100001"
    },
    "compliance": {
        "sourceOfFund": "BUSINESS_REVENUE",
        "supportingDocuments": [
            "file_001",
            "file_002"
        ]
    },
    "metadata": {
        "remark": "Payroll processing"
    }
}'

Responses

🟢200
application/json
Payment created
Bodyapplication/json

Example
{
    "requestId": "string",
    "merchantRef": "string",
    "geoswiftRef": "string",
    "status": "CREATED",
    "payer": {
        "originalPayerId": "string"
    },
    "beneficiary": {
        "beneficiaryId": "string"
    },
    "paymentInstruction": {
        "paymentMethodPreference": "SWIFT",
        "paymentReason": "SALARY",
        "purposeCode": "string",
        "paymentReference": "string",
        "urgency": "STANDARD"
    },
    "amount": {
        "debitCurrency": "string",
        "debitAmount": 0,
        "payoutCurrency": "string",
        "payoutAmount": 0
    },
    "fx": {
        "quoteId": "string"
    },
    "fee": {
        "chargeBearer": "OUR",
        "feeCurrency": "string",
        "feeAmount": 0
    },
    "timeline": {
        "createdAt": "2019-08-24T14:15:22.123Z",
        "updatedAt": "2019-08-24T14:15:22.123Z",
        "completedAt": "2019-08-24T14:15:22.123Z"
    },
    "metadata": {
        "business": "string",
        "remark": "string",
        "tags": [
            "string"
        ]
    }
}
Modified at 2026-06-05 07:31:32
Previous
Get FX quotation
Next
Payment result inquiry
Built with